/*============================================================================

The Medical Imaging Interaction Toolkit (MITK)

Copyright (c) German Cancer Research Center (DKFZ)
All rights reserved.

Use of this source code is governed by a 3-clause BSD license that can be
found in the LICENSE file.

============================================================================*/

#include "mitkUSDeviceReaderWriterConstants.h"

namespace mitk
{
  const char* USDeviceReaderWriterConstants::TAG_ULTRASOUNDDEVICE = "ULTRASOUNDDEVICE";
  const char* USDeviceReaderWriterConstants::TAG_GENERALSETTINGS = "GENERALSETTINGS";
  const char* USDeviceReaderWriterConstants::TAG_PROBES = "PROBES";
  const char* USDeviceReaderWriterConstants::TAG_PROBE = "PROBE";
  const char* USDeviceReaderWriterConstants::TAG_DEPTHS = "DEPTHS";
  const char* USDeviceReaderWriterConstants::TAG_DEPTH = "DEPTH";
  const char* USDeviceReaderWriterConstants::TAG_SPACING = "SPACING";
  const char* USDeviceReaderWriterConstants::TAG_CROPPING = "CROPPING";

  const char* USDeviceReaderWriterConstants::ATTR_FILEVERS = "filevers";
  const char* USDeviceReaderWriterConstants::ATTR_TYPE = "type";
  const char* USDeviceReaderWriterConstants::ATTR_HOST = "host";
  const char* USDeviceReaderWriterConstants::ATTR_PORT = "port";
  const char* USDeviceReaderWriterConstants::ATTR_SERVER = "server";
  const char* USDeviceReaderWriterConstants::ATTR_NAME = "name";
  const char* USDeviceReaderWriterConstants::ATTR_MANUFACTURER = "manufacturer";
  const char* USDeviceReaderWriterConstants::ATTR_MODEL = "model";
  const char* USDeviceReaderWriterConstants::ATTR_COMMENT = "comment";
  const char* USDeviceReaderWriterConstants::ATTR_IMAGESTREAMS = "imagestreams";
  const char* USDeviceReaderWriterConstants::ATTR_GREYSCALE = "greyscale";
  const char* USDeviceReaderWriterConstants::ATTR_RESOLUTIONOVERRIDE = "resolutionOverride";
  const char* USDeviceReaderWriterConstants::ATTR_RESOLUTIONWIDTH = "resolutionWidth";
  const char* USDeviceReaderWriterConstants::ATTR_RESOLUTIONHEIGHT = "resolutionHeight";
  const char* USDeviceReaderWriterConstants::ATTR_SOURCEID = "sourceID";
  const char* USDeviceReaderWriterConstants::ATTR_FILEPATH = "filepath";
  const char* USDeviceReaderWriterConstants::ATTR_OPENCVPORT = "opencvPort";
  const char* USDeviceReaderWriterConstants::ATTR_DEPTH = "depth";
  const char* USDeviceReaderWriterConstants::ATTR_X = "x";
  const char* USDeviceReaderWriterConstants::ATTR_Y = "y";
  const char* USDeviceReaderWriterConstants::ATTR_TOP = "top";
  const char* USDeviceReaderWriterConstants::ATTR_BOTTOM = "bottom";
  const char* USDeviceReaderWriterConstants::ATTR_LEFT = "left";
  const char* USDeviceReaderWriterConstants::ATTR_RIGHT = "right";
}
